Libreoffice 5.2.5 and 5.3.0 + locale + help packages

Here you can post links to your contributed packages.
djemos
Salix Warrior
Posts: 1062
Joined: 29. Dec 2009, 13:45
Location: Greece

Libreoffice 5.2.5 and 5.3.0 + locale + help packages

Post by djemos » 3. Feb 2017, 12:06

Here are Libreoffice 5.3.0 + locale + help packages as well as the greek spell and dictionary for modern and ancient greek.
and Libreoffice 5.2.5 version

Both are working fine. Libreoffice 5.2.5 is the latest mature "still" version of LibreOffice, recommended for enterprises. Libreoffice 5.3.0 is the latest "fresh" version of LibreOffice, recommended for technology enthusiasts.

User avatar
Van_Vinkle
Donor
Posts: 111
Joined: 25. Oct 2012, 17:39

Re: Libreoffice 5.2.5 and 5.3.0 + locale + help packages

Post by Van_Vinkle » 3. Feb 2017, 19:10

Thank you very much! :D

User avatar
mimosa
Salix Warrior
Posts: 3082
Joined: 25. May 2010, 17:02
Contact:

Re: Libreoffice 5.2.5 and 5.3.0 + locale + help packages

Post by mimosa » 3. Feb 2017, 22:50

Thanks for these, djemos!

User avatar
maroman
Posts: 23
Joined: 12. Apr 2015, 15:11
Contact:

Re: Libreoffice 5.2.5 and 5.3.0 + locale + help packages

Post by maroman » 10. Feb 2017, 08:33

thanx a lot. works great. but every time I upgrade the system (salix 14.1 mate) it tries to downgrade to the previous version. what about upgrading packages in repository?

cheers,
ride your bike
--
salix 14.1 (fluxbox, mate) on ancient boxes

DidierSpaier
Posts: 309
Joined: 20. Jun 2016, 20:15

Re: Libreoffice 5.2.5 and 5.3.0 + locale + help packages

Post by DidierSpaier » 10. Feb 2017, 09:17

(Unauthorized opinion fom a newcomer): if packages were upgraded in the 14.1 or 14.2 repository (but possibly for a major bug fix or a security fix), Salix 14.1 or 14.2 would not be stable releases.

But you can deal with this situation in two ways:
  • Edit the EXCLUDE list in /etc/slapt-get/slapt-getrc
  • Put the Libreoffice* packages in a local repository and refer to it in /etc/slapt-get/slapt-getrc like this:

    Code: Select all

    SOURCE=file://<path to your local repository>:CUSTOM
Personally I would favor the second way.

Didier

bormant
Posts: 6
Joined: 9. Jul 2015, 15:30

Re: Libreoffice 5.2.5 and 5.3.0 + locale + help packages

Post by bormant » 10. Feb 2017, 13:26

Is it a quite good idea to rebuild 5.3.0 with patch from
https://bugs.documentfoundation.org/sho ... ?id=105409

to prevent crashes on context menu popups...

djemos
Salix Warrior
Posts: 1062
Joined: 29. Dec 2009, 13:45
Location: Greece

Re: Libreoffice 5.2.5 and 5.3.0 + locale + help packages

Post by djemos » 10. Feb 2017, 13:51

bormant wrote:Is it a quite good idea to rebuild 5.3.0 with patch from
https://bugs.documentfoundation.org/sho ... ?id=105409

to prevent crashes on context menu popups...
These are repackaged builds from debian packages. They are stable. I had no problem with this bug you mention above. I never had a crash.

User avatar
maroman
Posts: 23
Joined: 12. Apr 2015, 15:11
Contact:

Re: Libreoffice 5.2.5 and 5.3.0 + locale + help packages

Post by maroman » 10. Feb 2017, 17:41

2 DidierSpaier

first thank you for your hint. second I tried both solutions but only first works. maybe I've made mistake putting the following line to /etc/slapt-get/slapt-getrc

Code: Select all

SOURCE=file:///media/depot/Downloads/libreoffice-5.3.0-i686-1dj.txz/:CUSTOM
(the file libreoffice-5.3.0-i686-1dj.txz was downloaded as stated in first post and used to upgrade LO). what is wrong?

cheers,
ride your bike
--
salix 14.1 (fluxbox, mate) on ancient boxes

DidierSpaier
Posts: 309
Joined: 20. Jun 2016, 20:15

Re: Libreoffice 5.2.5 and 5.3.0 + locale + help packages

Post by DidierSpaier » 10. Feb 2017, 18:05

Well, two things:
1) The source should be the path to the repository, not the package
2) slapt-get needs the files PACKAGES.TXT and CHECKSUMS.md5 files in this local repository, see:
https://software.jaos.org/git/slapt-get ... l#slgFAQ17

EDIT. You just need to save the script from the FAQ as /media/depot/meta. sh then type:

Code: Select all

cd /media/depot
sh meta.sh  PACKAGESTXT
sh meta.sh MD5
In /etc/slapt-get/slapt-getrc write this line:

Code: Select all

SOURCE=file:///media/depot/:CUSTOM
Then run spi -u or slapt-get u.

User avatar
mimosa
Salix Warrior
Posts: 3082
Joined: 25. May 2010, 17:02
Contact:

Re: Libreoffice 5.2.5 and 5.3.0 + locale + help packages

Post by mimosa » 14. Feb 2017, 14:27

Are there any constraints on the subdirectory structure of your local repository? And what about dependency information?

Post Reply